Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListRequest.Builder

    java.lang.Object
      com.google.appengine.api.search.ListRequest.Builder

Enclosing class:
  ListRequest

    public static class ListRequest.Builder

extends java.lang.Object

The builder of `ListRequest`s.

Method Summary
`ListRequest` | `build()`
`ListRequest.Builder` | `setIncludeStart(boolean includeStart)` Sets whether or not to include the object whose ID is specified via the `setStartId(String)` method.
`ListRequest.Builder` | `setKeysOnly(boolean keysOnly)` Deprecated.
`ListRequest.Builder` | `setLimit(java.lang.Integer limit)` Sets the maximum number of objects to return.
`ListRequest.Builder` | `setReturningIdsOnly(boolean returningIdsOnly)` Sets whether just objects containing just their key are returned, or whether the complete objects are returned.
`ListRequest.Builder` | `setStartId(java.lang.String startId)` Sets the Id of the first object to return.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setStartId

    public ListRequest.Builder setStartId(java.lang.String startId)

  Sets the Id of the first object to return. You may exclude this object by using the `setIncludeStart(boolean)` method.

  Parameters:
    `startId` - the Id of the first object to return
  Returns:
    this builder
  Throws:
    `java.lang.IllegalArgumentException` - if invalid object Id is given

### setIncludeStart

    public ListRequest.Builder setIncludeStart(boolean includeStart)

  Sets whether or not to include the object whose ID is specified via the `setStartId(String)` method.

  Parameters:
    `includeStart` - whether or not to return the start index
  Returns:
    this builder

### setLimit

    public ListRequest.Builder setLimit(java.lang.Integer limit)

  Sets the maximum number of objects to return.

  Parameters:
    `limit` - the maximum number of objects to return
  Returns:
    this builder
  Throws:
    `java.lang.IllegalArgumentException` - if negative or too large limit is given

### setKeysOnly

    @Deprecated
    public ListRequest.Builder setKeysOnly(boolean keysOnly)

  Deprecated.

  See Also:
    `#setReturningIdsOnly(boolean)}`

### setReturningIdsOnly

    public ListRequest.Builder setReturningIdsOnly(boolean returningIdsOnly)

  Sets whether just objects containing just their key are returned, or whether the complete objects are returned.

  Parameters:
    `returningIdsOnly` - whether to only return object keys
  Returns:
    this builder

### build

    public ListRequest build()

  Returns:
    builds and returns a brand new instance of a `ListRequest` using values set on this builder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD